Get FBAD Config

Get FBAD Config
Get flow based application discovery configuration

Get the saved flow based configuration used for application and tier discovery

Request
URI
GET
https://{api_host}/api/ni/groups/discovered-applications/custom-config/fbad/{id}
COPY
Path Parameters
string
id
Required

The Entity ID of object requestion information on


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns FBADConfigResponse of type(s) application/json
This response body class contains all of the following: InlineFBADConfigResponse0 , FBADConfigRequest
{
    "id": "16710:969:5155421418804951043",
    "scope_object_type": 66,
    "scope_entities": [
        "Cluster-3",
        "Haas-cluster-adhoc",
        "HaaS-Cluster-6",
        "HaaS-Regression-Cluster-7",
        "HaaS-Cluster-2"
    ],
    "full_fetch_flow_interval_in_sec": 604800,
    "pause_discovery": false,
    "application_naming_preferences": [
        {
            "type": "LB_VIRTUAL_SERVERS"
        },
        {
            "type": "NSX_SECURITY_GROUPS"
        },
        {
            "type": "SECURITY_TAGS"
        },
        {
            "type": "VCENTER_TAGS",
            "values": [
                "AppSystem",
                "App Sys",
                "App_ownership"
            ]
        },
        {
            "type": "VM_NAMES",
            "values": [
                ".*?_([^-_@. ]*)-([^-_@. ]*)-.*"
            ]
        }
    ],
    "tier_naming_preferences": [
        {
            "type": "LB_VIRTUAL_SERVERS"
        },
        {
            "type": "NSX_SECURITY_GROUPS"
        },
        {
            "type": "SECURITY_TAGS"
        },
        {
            "type": "VCENTER_TAGS",
            "values": [
                "TestDB",
                "TestDB2",
                "Space"
            ]
        },
        {
            "type": "VM_NAMES",
            "values": [
                ".*?_([^-_@. ]*)-.*"
            ]
        }
    ],
    "discovery_options": [
        {
            "type": "CSV",
            "value": "RkJBRF9URU1QX0ZJTEU6OklZTU9zQzd1NnQ5S0lEY0xybXRYRVEuY3N2"
        },
        {
            "type": "LB"
        }
    ]
}

400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/groups/discovered-applications/custom-config/fbad/{id}